package guanlixitong

import "shylinux.com/x/ice"

type group struct{ Table }

func init() { ice.TeamCtxCmd(group{}) }

type GroupType int

const (
	GroupRD GroupType = iota
	GroupOP
	GroupSales
	GroupFinancial
	GroupAdmin
	GroupHR
)

var GroupTypeList = map[GroupType]string{
	GroupRD:        "RD",
	GroupOP:        "OP",
	GroupSales:     "sales",
	GroupFinancial: "financial",
	GroupAdmin:     "admin",
	GroupHR:        "HR",
}

func (s GroupType) String() string { return GroupTypeList[s] }
