package guanlixitong

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/enterprise/src/guanlixitong/model"
)

type target struct {
	Table
	userGroup userGroup
	group     group
	portal    string `data:"true"`
	create    string `name:"create content*" role:"void"`
}

func (s target) Create(m *ice.Message, arg ...string) {
	s.Table.Create(m, kit.Simple(arg, m.OptionSimple(model.USER_UID, model.GROUP_UID))...)
}
func (s target) List(m *ice.Message, arg ...string) {
	s.TablesWithRole(m, arg, s, s.userGroup, s.group, model.CONTENT).Display("")
}

func init() { ice.TeamCtxCmd(target{}) }
